## NAME

r.li.padcv - Calculates coefficient of variation of patch area on a raster map

## KEYWORDS

raster, landscape structure analysis, patch index

## SYNOPSIS

r.li.padcv
r.li.padcv --help
r.li.padcv input=name config=name output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
config=name [required]
  Configuration file
output=name [required]
  Name for output raster map

## DESCRIPTION

r.li.padcv calculates the coefficient of variation of patch area sizes in hectares as:
with:

- SD: standard deviation of patch area size
- MPS: mean patch area size
- ai: area of patch i
- Npatch: number of patches

## NOTES

Do not use absolute path names for the config and output file/map parameters. If the "moving window" method was selected in g.gui.rlisetup, then the output will be a raster map, otherwise an ASCII file will be generated in the folder `C:\Users\userxy\AppData\Roaming\GRASS7\r.li\output\` (MS-Windows) or `$HOME/.grass7/r.li/output/` (GNU/Linux).

The result is NULL if the sample area contains only NULL values.

## EXAMPLES

To calculate patch area distribution coefficient of variation index on map my_map, using my_conf configuration file (previously defined with g.gui.rlisetup) and saving results in my_out, run:

    r.li.padcv input=my_map conf=my_conf output=my_out

Forest map (Spearfish sample dataset) example:

    g.region raster=landcover.30m -p
    r.mapcalc "forests = if(landcover.30m >= 41 && landcover.30m <= 43,1,null())"
    r.li.padcv input=forests conf=movwindow7 out=forests_padcv_mov7
    r.univar forests_padcv_mov7

Forest map (North Carolina sample dataset) example:

    g.region raster=landclass96 -p
    r.mapcalc "forests = if(landclass96 == 5, 1, null() )"
    r.li.padcv input=forests conf=movwindow7 out=forests_padcv_mov7

    # verify
    r.univar forests_padcv_mov7
    r.to.vect input=forests output=forests type=area
    d.mon wx0
    d.rast forests_padcv_mov7
    d.vect forests type=boundary

## SEE ALSO

r.li - package overview
g.gui.rlisetup

## REFERENCES

McGarigal, K., and B. J. Marks. 1995. FRAGSTATS: spatial pattern analysis program for quantifying landscape structure. USDA For. Serv. Gen. Tech. Rep. PNW-351. (PDF)

## AUTHORS

Michael Shapiro - CERL (patch identification)
Markus Metz (statistics)

Last changed: $Date$

## SOURCE CODE

Available at: r.li.padcv source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual